Every piece, filterable by scan state and retailer

GET/v1/items
Auth: Factory API key

One row per physical piece (the same granularity as a label), across every order. Same filter values as GET /v1/orders.

Query parameters

NameTypeDescription
retailer_idstring·
filterstring·
one of: "all", "not_scanned", "made", "in_stock", "dispatched", "stuck"
default: "all"
limitinteger·
default: 200

Response

200

FieldTypeDescription
itemsobject[]·
barcodestring·
piece_namestring, nullable·
statusstring·
locationstring, nullable·
produced_atstring (date-time), nullable·
in_stock_atstring (date-time), nullable·
dispatched_atstring (date-time), nullable·
order_idstring·
order_nostring·
skustring·
colourstring, nullable·
retailer_namestring·
last_scanobject, nullable·
eventstring·
stationstring·
atstring (date-time)·
countsobject·
allinteger·
not_scannedinteger·
madeinteger·
in_stockinteger·
dispatchedinteger·
stuckinteger·

Code samples

curl "https://api.skuflo.io/v1/items?retailer_id=ret_9c1a4e&filter=all" \
  -H "Authorization: Bearer sk_live_..."